summaryrefslogtreecommitdiffstats
path: root/Tools
diff options
context:
space:
mode:
authorkris <kris@FreeBSD.org>2002-02-11 02:54:07 +0000
committerkris <kris@FreeBSD.org>2002-02-11 02:54:07 +0000
commit22f527e193e395e11de36ae775b5aaac4d73e55d (patch)
treefbb8aa0bfcd0108f8b3e4a8b3f2d5ec2208a89e5 /Tools
parent284ead62aa74474cd162e72a4c456bca07456a21 (diff)
downloadFreeBSD-ports-22f527e193e395e11de36ae775b5aaac4d73e55d.zip
FreeBSD-ports-22f527e193e395e11de36ae775b5aaac4d73e55d.tar.gz
Catch up to changes on bento:
* Require a branch argument * Use tar --unlink when copying distfiles
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/cpdistfiles14
1 files changed, 11 insertions, 3 deletions
diff --git a/Tools/portbuild/scripts/cpdistfiles b/Tools/portbuild/scripts/cpdistfiles
index 04c8a92..bb2c136 100755
--- a/Tools/portbuild/scripts/cpdistfiles
+++ b/Tools/portbuild/scripts/cpdistfiles
@@ -1,5 +1,10 @@
#!/bin/sh
+if [ $# != 1 ]; then
+ echo "usage: $0 branch"
+ exit 1
+fi
+
# configurable variables
pb=/var/portbuild
@@ -7,21 +12,24 @@ pb=/var/portbuild
unset DISPLAY
+branch=$1
+shift
+
# copy one distfile to remote host
cpdistfile () {
- tar -C distfiles -cf - $1 | ssh $ftpsite -l $user tar -C $distfiledir -xvf -
+ tar -C distfiles -cf - $1 | ssh $ftpsite -l $user tar -C $distfiledir --unlink -xvf -
}
echo "================================================"
echo "md5 generation started at $(date)"
-cd $pb/bak/distfiles
+cd $pb/${branch}/bak/distfiles
find . -type f | sort | xargs md5 > ../../md5-2
echo "================================================"
echo "copying started at $(date)"
-cd $pb/bak
+cd $pb/${branch}/bak
for i in $(diff ../md5 ../md5-2 | grep '^>' | sed -e 's^.*(\./^^' -e 's/).*//'); do
cpdistfile $i
done
OpenPOWER on IntegriCloud